Package org.apache.nutch.indexwriter.opensearch1x

## Interface OpenSearch1xConstants

-     public interface OpenSearch1xConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BULK_CLOSE_TIMEOUT` |
    `static String` | `EXPONENTIAL_BACKOFF_MILLIS` |
    `static String` | `EXPONENTIAL_BACKOFF_RETRIES` |
    `static String` | `HOSTS` |
    `static String` | `INDEX` |
    `static String` | `KEY_STORE_PASSWORD` |
    `static String` | `KEY_STORE_PATH` |
    `static String` | `KEY_STORE_TYPE` |
    `static String` | `MAX_BULK_DOCS` |
    `static String` | `MAX_BULK_LENGTH` |
    `static String` | `OPTIONS` |
    `static String` | `PASSWORD` |
    `static String` | `PORT` |
    `static String` | `SCHEME` |
    `static String` | `TRUST_STORE_PASSWORD` |
    `static String` | `TRUST_STORE_PATH` |
    `static String` | `TRUST_STORE_TYPE` |
    `static String` | `USER` |

- - ### Field Detail

    - #### HOSTS

          static final String HOSTS

      See Also:
        Constant Field Values

    - #### PORT

          static final String PORT

      See Also:
        Constant Field Values

    - #### SCHEME

          static final String SCHEME

      See Also:
        Constant Field Values

    - #### USER

          static final String USER

      See Also:
        Constant Field Values

    - #### PASSWORD

          static final String PASSWORD

      See Also:
        Constant Field Values

    - #### TRUST_STORE_PATH

          static final String TRUST_STORE_PATH

      See Also:
        Constant Field Values

    - #### TRUST_STORE_PASSWORD

          static final String TRUST_STORE_PASSWORD

      See Also:
        Constant Field Values

    - #### TRUST_STORE_TYPE

          static final String TRUST_STORE_TYPE

      See Also:
        Constant Field Values

    - #### KEY_STORE_PATH

          static final String KEY_STORE_PATH

      See Also:
        Constant Field Values

    - #### KEY_STORE_PASSWORD

          static final String KEY_STORE_PASSWORD

      See Also:
        Constant Field Values

    - #### KEY_STORE_TYPE

          static final String KEY_STORE_TYPE

      See Also:
        Constant Field Values

    - #### INDEX

          static final String INDEX

      See Also:
        Constant Field Values

    - #### MAX_BULK_DOCS

          static final String MAX_BULK_DOCS

      See Also:
        Constant Field Values

    - #### MAX_BULK_LENGTH

          static final String MAX_BULK_LENGTH

      See Also:
        Constant Field Values

    - #### EXPONENTIAL_BACKOFF_MILLIS

          static final String EXPONENTIAL_BACKOFF_MILLIS

      See Also:
        Constant Field Values

    - #### EXPONENTIAL_BACKOFF_RETRIES

          static final String EXPONENTIAL_BACKOFF_RETRIES

      See Also:
        Constant Field Values

    - #### BULK_CLOSE_TIMEOUT

          static final String BULK_CLOSE_TIMEOUT

      See Also:
        Constant Field Values

    - #### OPTIONS

          static final String OPTIONS

      See Also:
        Constant Field Values